Fleet Delete Protection Policies
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/zdlra/actions/bulkDeleteProtectionPolicies
Delete one or more protection policies from one or more Recovery Appliances.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectList of the protection policies to be deleted.
Show Source
-
raTargetNames(required): array
raTargetNames
List of protection policies to be deleted from one or more Recovery Appliances.
-
schedule: object
ScheduleRAOperations
Schedule for deployment procedure or job.
Nested Schema : raTargetNames
Type:
arrayList of protection policies to be deleted from one or more Recovery Appliances.
Show Source
-
Array of:
object DeleteProtectionPoliciesPerTarget
List of protection policies to be deleted from a Recovery Appliance.
Nested Schema : ScheduleRAOperations
Type:
objectSchedule for deployment procedure or job.
Show Source
-
daysOfTheMonth: string
Comma-separated list of days. (Required only if frequency is monthly, or yearly. Example, repeat=1d. The valid range is 1 to 30 inclusive)
-
daysOfTheWeek: string
Comma-separated list of days. (Required only if frequency is weekly. Example, repeat=1D. The valid range is 1 to 7 inclusive)
-
endTime: string
End time for the procedure executions (optional). If it is not specified, the procedure runs indefinitely. W3C Time format.Example:
2025-12-31T20:00:00UTC, 2025-12-31T20:00:00America/New_York, 2025-12-31T20:00:00Z, 2025-12-31T20:00:00+05:00 -
frequency: string
Allowed Values:
[ "INTERVAL", "WEEKLY", "MONTHLY", "YEARLY" ]Schedule Frequency Options -
gracePeriod: string
grace period in minutes (optional)
-
monthsOfTheYear: string
Comma-separated list of months. (Required only if frequency is yearly). Valid range is 1 to 12 inclusive.
-
repeat: string
Frequency with which the job must be repeated.(Required only if frequency is set to interval.)
-
startTime: string
Time when the procedure is to start executing. W3C Time format.Example:
2024-12-31T20:00:00UTC, 2024-12-31T20:00:00America/New_York, 2024-12-31T20:00:00Z, 2024-12-31T20:00:00+05:00
Nested Schema : DeleteProtectionPoliciesPerTarget
Type:
objectList of protection policies to be deleted from a Recovery Appliance.
Show Source
-
protectionPolicies(required): array
protectionPolicies
List of protection policies.
-
raAdminCred: string
Recovery Appliance administrator credentials.
-
raTargetId(required): string
Recovery Appliance target GUID on which protection policies are to be created, deleted or updated.
Nested Schema : protectionPolicies
Type:
arrayList of protection policies.
Show Source
-
Array of:
object DeleteProtectionPolicies
Protection policies to be deleted.
Nested Schema : DeleteProtectionPolicies
Type:
objectProtection policies to be deleted.
Show Source
-
name(required): string
Protection policy name.
Response
Supported Media Types
- application/json
202 Response
Accepted
Headers
-
Content-Location:
Execution details of the deployment procedure submitted.
Root Schema : ProtectionPolicyDPSubmission
Type:
objectProtection policy deployment procedure status.
Show Source
-
code(required): integer
HTTP status code.
-
executionId(required): string
Procedure submission id.
-
instanceName(required): string
Procedure instance name.
-
procedureId(required): string
Procedure submission id.
-
submissionBy(required): string
Name of the Enterprise Manager user who submitted the deployment procedure.
-
submissionName(required): string
Name of the submitted deployment procedure.
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
409 Response
Duplicate Resource
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message